#ifndef SOUNDMANAGER_DOT_H
#define SOUNDMANAGER_DOT_H      (1)

#include "SDL_mixer.h"

class SoundManager {
private:
    Mix_Chunk *sounds[3];

public:
    SoundManager();
    void play(int soundNumber);
};

SoundManager::SoundManager() {
    sounds[0] = NULL;
    sounds[0] = Mix_LoadWAV("bleat3.wav");
    sounds[1] = NULL;
    sounds[1] = Mix_LoadWAV("bleat4.wav");
    sounds[2] = NULL;
    sounds[2] = Mix_LoadWAV("bleat5.wav");
}

void SoundManager::play(int soundNumber) {
    Mix_PlayChannel(-1, sounds[soundNumber], 0);
}


#endif




